net.sf.jasperreports.web.servlets

## Class ReportPageStatusServlet

- java.lang.Object
- - javax.servlet.GenericServlet
  - - javax.servlet.http.HttpServlet
    - - net.sf.jasperreports.web.servlets.AbstractServlet
      - - net.sf.jasperreports.web.servlets.ReportPageStatusServlet

- All Implemented Interfaces:
    java.io.Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

      public class ReportPageStatusServlet
      extends AbstractServlet

  Version:
    $Id$
  Author:
    Narcis Marcu(nmarcu@users.sourceforge.net)
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class net.sf.jasperreports.web.servlets.AbstractServlet

      `HTML_ACCEPT_HEADER, HTML_CONTENT_TYPE, JSON_ACCEPT_HEADER, JSON_CONTENT_TYPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReportPageStatusServlet()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `handleReportUpdateError(javax.servlet.http.HttpServletResponse response, ReportExecutionStatus reportStatus)`
    `protected void` | `pageUpdate(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, WebReportContext webReportContext)`
    `protected void` | `putReportStatusResult(javax.servlet.http.HttpServletResponse response, JasperPrintAccessor printAccessor, java.util.Map<java.lang.String,java.lang.Object> result)`
    `void` | `service(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`

    - ### Methods inherited from class net.sf.jasperreports.web.servlets.AbstractServlet

      `getJasperReportsContext, setJasperReportsContext, setNoExpire`

    - ### Methods inherited from class javax.servlet.http.HttpServlet

      `doDelete, doGet, doHead, doOptions, doPost, doPut, doTrace, getLastModified, service`

    - ### Methods inherited from class javax.servlet.GenericServlet

      `destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, init, log, log`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ReportPageStatusServlet

          public ReportPageStatusServlet()

  - ### Method Detail

    - #### service

          public void service(javax.servlet.http.HttpServletRequest request,
                     javax.servlet.http.HttpServletResponse response)
                       throws java.io.IOException,
                              javax.servlet.ServletException

      Overrides:
        `service` in class `javax.servlet.http.HttpServlet`
      Throws:
        `java.io.IOException`
        `javax.servlet.ServletException`

    - #### pageUpdate

          protected void pageUpdate(javax.servlet.http.HttpServletRequest request,
                        javax.servlet.http.HttpServletResponse response,
                        WebReportContext webReportContext)
                             throws JRException,
                                    java.io.IOException

      Throws:
        `JRException`
        `java.io.IOException`

    - #### putReportStatusResult

          protected void putReportStatusResult(javax.servlet.http.HttpServletResponse response,
                                   JasperPrintAccessor printAccessor,
                                   java.util.Map<java.lang.String,java.lang.Object> result)
                                        throws JRException

      Throws:
        `JRException`

    - #### handleReportUpdateError

          protected void handleReportUpdateError(javax.servlet.http.HttpServletResponse response,
                                     ReportExecutionStatus reportStatus)
                                          throws JRException

      Throws:
        `JRException`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com